You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     dpej...@yahoo.com
Last committer: t...@freebsd.org
Ident:          $FreeBSD: head/net-mgmt/crmsh/Makefile 411806 2016-03-24 
17:37:44Z tijl $
Log URL:        
http://beefy3.nyi.freebsd.org/data/head-i386-default/p411910_s297281/logs/crmsh-2.2.0.log
Build URL:      
http://beefy3.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p411910_s297281
Log:

====>> Building net-mgmt/crmsh
build started at Sat Mar 26 23:15:29 UTC 2016
port directory: /usr/ports/net-mgmt/crmsh
building for: FreeBSD head-i386-default-job-02 11.0-CURRENT FreeBSD 
11.0-CURRENT r297281 i386
maintained by: dpej...@yahoo.com
Makefile ident:      $FreeBSD: head/net-mgmt/crmsh/Makefile 411806 2016-03-24 
17:37:44Z tijl $
Poudriere version: 3.1.12
Host OSVERSION: 1100102
Jail OSVERSION: 1100104




!!! Jail is newer than host. (Jail: 1100104, Host: 1100102) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
UNAME_v=FreeBSD 11.0-CURRENT r297281
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=i386
LINUX_OSRELEASE=2.6.32
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=crmsh-2.2.0
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100104
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for crmsh-2.2.0:
     DOCS=on: Build and/or install documentation
     MANPAGES=on: Build and/or install manual pages
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--with-ocf-root=/usr/local/etc/ocf --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/net-mgmt/crmsh/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-mgmt/crmsh/work  
HOME=/wrkdirs/usr/ports/net-mgmt/crmsh/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/net-mgmt/crmsh/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-mgmt/crmsh/work  
HOME=/wrkdirs/usr/ports/net-mgmt/crmsh/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
DOCS=""
NO_DOCS="@comment
"
MANPAGES=""
NO_MANPAGES="@comment
"
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd11
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/crmsh"
EXAMPLESDIR="share/examples/crmsh"
DATADIR="share/crmsh"
WWWDIR="www/crmsh"
ETCDIR="etc/crmsh"
--End PLIST_SUB--

--SUB_LIST--
DOCS=""
NO_DOCS="@comment
"
MANPAGES=""
NO_MANPAGES="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/crmsh
DOCSDIR=/usr/local/share/doc/crmsh
EXAMPLESDIR=/usr/local/share/examples/crmsh
WWWDIR=/usr/local/www/crmsh
ETCDIR=/usr/local/etc/crmsh
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   crmsh-2.2.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.4_1.txz
[head-i386-default-job-02] Installing pkg-1.6.4_1...
[head-i386-default-job-02] Extracting pkg-1.6.4_1: .......... done
===>   crmsh-2.2.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of crmsh-2.2.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
=> ClusterLabs-crmsh-2.2.0_GH0.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch 
https://codeload.github.com/ClusterLabs/crmsh/tar.gz/2.2.0?dummy=/ClusterLabs-crmsh-2.2.0_GH0.tar.gz
fetch: 
https://codeload.github.com/ClusterLabs/crmsh/tar.gz/2.2.0?dummy=/ClusterLabs-crmsh-2.2.0_GH0.tar.gz:
 size unknown
fetch: 
https://codeload.github.com/ClusterLabs/crmsh/tar.gz/2.2.0?dummy=/ClusterLabs-crmsh-2.2.0_GH0.tar.gz:
 size of remote file is not known
ClusterLabs-crmsh-2.2.0_GH0.tar.gz                       0  B    0  Bps
===> Fetching all distfiles required by crmsh-2.2.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by crmsh-2.2.0 for building
=> SHA256 Checksum OK for ClusterLabs-crmsh-2.2.0_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by crmsh-2.2.0 for building
===>  Extracting for crmsh-2.2.0
=> SHA256 Checksum OK for ClusterLabs-crmsh-2.2.0_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for crmsh-2.2.0
===>  Applying FreeBSD patches for crmsh-2.2.0
===========================================================================
=======================<phase: build-depends  >============================
===>   crmsh-2.2.0 depends on executable: asciidoc - not found
===>   Installing existing package /packages/All/asciidoc-8.6.9_4.txz
[head-i386-default-job-02] Installing asciidoc-8.6.9_4...
[head-i386-default-job-02] `-- Installing python27-2.7.11_1...
[head-i386-default-job-02] |   `-- Installing libffi-3.2.1...
[head-i386-default-job-02] |   | `-- Installing indexinfo-0.2.4...
[head-i386-default-job-02] |   | `-- Extracting indexinfo-0.2.4: .... done
[head-i386-default-job-02] |   `-- Extracting libffi-3.2.1: .......... done
[head-i386-default-job-02] |   `-- Installing gettext-runtime-0.19.7...
[head-i386-default-job-02] |   `-- Extracting gettext-runtime-0.19.7: 
.......... done
[head-i386-default-job-02] |   `-- Installing readline-6.3.8...
[head-i386-default-job-02] |   `-- Extracting readline-6.3.8: .......... done
[head-i386-default-job-02] `-- Extracting python27-2.7.11_1: .......... done
[head-i386-default-job-02] `-- Installing python2-2_3...
[head-i386-default-job-02] `-- Extracting python2-2_3: ...... done
[head-i386-default-job-02] Extracting asciidoc-8.6.9_4: .......... done
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   crmsh-2.2.0 depends on executable: asciidoc - found
===>   Returning to build of crmsh-2.2.0
===>   crmsh-2.2.0 depends on package: docbook-xsl>0 - not found
===>   Installing existing package /packages/All/docbook-xsl-1.76.1_2.txz
[head-i386-default-job-02] Installing docbook-xsl-1.76.1_2...
[head-i386-default-job-02] `-- Installing docbook-1.5...
[head-i386-default-job-02] |   `-- Installing sdocbook-xml-1.1_1,2...
[head-i386-default-job-02] |   | `-- Installing xmlcatmgr-2.2_2...
[head-i386-default-job-02] |   | `-- Extracting xmlcatmgr-2.2_2: .......... done
 + Creating /usr/local/share/sgml/catalog
 + Registering CATALOG catalog.ports (SGML)
 + Creating /usr/local/share/sgml/catalog.ports
 + Creating /usr/local/share/xml/catalog
 + Registering nextCatalog catalog.ports (XML)
 + Creating /usr/local/share/xml/catalog.ports
[head-i386-default-job-02] |   `-- Extracting sdocbook-xml-1.1_1,2: .......... 
done
[head-i386-default-job-02] |   `-- Installing docbook-sgml-4.5_1...
[head-i386-default-job-02] |   | `-- Installing iso8879-1986_3...
[head-i386-default-job-02] |   | `-- Extracting iso8879-1986_3: .......... done
[head-i386-default-job-02] |   `-- Extracting docbook-sgml-4.5_1: .......... 
done
[head-i386-default-job-02] |   `-- Installing docbook-xml-5.0_3...
[head-i386-default-job-02] |   | `-- Installing xmlcharent-0.3_2...
[head-i386-default-job-02] |   | `-- Extracting xmlcharent-0.3_2: .......... 
done
[head-i386-default-job-02] |   `-- Extracting docbook-xml-5.0_3: .......... done
[head-i386-default-job-02] Extracting docbook-xsl-1.76.1_2: .......... done
Message from xmlcatmgr-2.2_2:
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
===>   crmsh-2.2.0 depends on package: docbook-xsl>0 - found
===>   Returning to build of crmsh-2.2.0
===>   crmsh-2.2.0 depends on executable: asciidoc - found
===>   crmsh-2.2.0 depends on package: docbook-xsl>0 - found
===>   crmsh-2.2.0 depends on executable: autoconf-2.69 - not found
===>   Installing existing package /packages/All/autoconf-2.69.txz
[head-i386-default-job-02] Installing autoconf-2.69...
[head-i386-default-job-02] `-- Installing autoconf-wrapper-20131203...
[head-i386-default-job-02] `-- Extracting autoconf-wrapper-20131203: ........ 
done
[head-i386-default-job-02] `-- Installing perl5-5.20.3_8...
[head-i386-default-job-02] `-- Extracting perl5-5.20.3_8: .......... done
[head-i386-default-job-02] `-- Installing m4-1.4.17_1,1...
[head-i386-default-job-02] `-- Extracting m4-1.4.17_1,1: .......... done
[head-i386-default-job-02] Extracting autoconf-2.69: .......... done
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   crmsh-2.2.0 depends on executable: autoconf-2.69 - found
===>   Returning to build of crmsh-2.2.0
===>   crmsh-2.2.0 depends on executable: autoheader-2.69 - found
===>   crmsh-2.2.0 depends on executable: autoreconf-2.69 - found
===>   crmsh-2.2.0 depends on executable: aclocal-1.15 - not found
===>   Installing existing package /packages/All/automake-1.15_1.txz
[head-i386-default-job-02] Installing automake-1.15_1...
[head-i386-default-job-02] `-- Installing automake-wrapper-20131203...
[head-i386-default-job-02] `-- Extracting automake-wrapper-20131203: ... done
[head-i386-default-job-02] Extracting automake-1.15_1: .......... done
===>   crmsh-2.2.0 depends on executable: aclocal-1.15 - found
===>   Returning to build of crmsh-2.2.0
===>   crmsh-2.2.0 depends on executable: automake-1.15 - found
===>   crmsh-2.2.0 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[head-i386-default-job-02] Installing gmake-4.1_2...
[head-i386-default-job-02] Extracting gmake-4.1_2: .......... done
===>   crmsh-2.2.0 depends on executable: gmake - found
===>   Returning to build of crmsh-2.2.0
===>   crmsh-2.2.0 depends on file: /usr/local/bin/python2.7 - found
===>   crmsh-2.2.0 depends on executable: python2 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for crmsh-2.2.0
configure.ac:33: installing './install-sh'
configure.ac:33: installing './missing'
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether gmake supports nested variables... (cached) yes
checking whether gmake supports nested variables... (cached) yes
checking for python version... 2.7
checking for python platform... freebsd11
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... 
${exec_prefix}/lib/python2.7/site-packages
checking for asciidoc... /usr/local/bin/asciidoc
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating hb_report/hb_report
config.status: creating crm.conf
config.status: creating version
===========================================================================
=======================<phase: build          >============================
===>  Building for crmsh-2.2.0
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/net-mgmt/crmsh/work/crmsh-2.2.0'
a2x -f manpage doc/crm.8.adoc
a2x: ERROR: "xmllint" --nonet --noout --valid 
"/wrkdirs/usr/ports/net-mgmt/crmsh/work/crmsh-2.2.0/doc/crm.8.xml" returned 
non-zero exit status 127
Makefile:888: recipe for target 'doc/crm.8' failed
gmake[1]: *** [doc/crm.8] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/net-mgmt/crmsh/work/crmsh-2.2.0'
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/crmsh
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to